package model;

public class Position {
	private int x; // x horizontal -> use static Position.a to Position.h
	private int y; // y vertical -> use 1 to 8

	public static final int a = 1, b = 2, c = 3, d = 4, e = 5, f = 6, g = 7, h = 8;

	public Position(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public int getID() {
		return (y-1) * 8 + x-1;
	}
	public int getX() {
		return x;
	}
	public int getY() {
		return y;
	}

	public void setByID(int id) {
		x = id % 8;
		y = (id - x) / 8;
		x++;
		y++;
	}
	public void set(int x, int y) {
		this.x = x;
		this.y = y;
	}
	public void setX(int x) {
		this.x = x;
	}
	public void setY(int y) {
		this.y = y;
	}

	public static boolean isCorrect(Position arrival) {
		return (arrival.getX() >= 1 && arrival.getX() <= 8 && arrival.getY() >= 1 && arrival.getY() <= 8);
	}
}
